# Generated from commander-fastlane-4.4.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name commander-fastlane

Name: rubygem-%{gem_name}
Version: 4.4.6
Release: 1%{?dist}
Summary: The complete solution for Ruby command-line executables
License: MIT
URL: https://github.com/fastlane/commander
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.2
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(rubocop) >= 0.49.1
# BuildRequires: rubygem(rubocop) < 0.50
BuildArch: noarch

%description
The complete solution for Ruby command-line executables. Commander bridges the
gap between other terminal related libraries you know and love (OptionParser,
HighLine), while providing many new features, and an elegant API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/DEVELOPMENT
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Manifest
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/commander.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 4.4.6-1
- Initial package
